<!doctype html>
<html lang="en">
<head>  
  <title>OpenFaaS</title>
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta charset="utf-8">

</head>
  <body>

    <section class="container" id="application">
      <div>
        <my-title></my-title>
        <my-sub-title></my-sub-title>
        <my-list></my-list>
      </div>
    </section>

    <script> 
      // insert css file
      function loadCSSFile(cssFile) {
        let cssPath = `./${(new URL(window.location.href)).pathname.split("/")[2]}`
        return new Promise((resolve, reject) => {
          let css = `<link rel="stylesheet" href="./${cssPath}${cssFile}" type="text/css"/>`
          document.querySelector('head').innerHTML += css  
        })
      }

      async function loadCSSFiles(sheets) {
        for(const sheet of sheets) { await loadCSSFile(sheet) }
      }
      // insert js file
      function loadJSFile(jsFile) {
        let jsPath = `./${(new URL(window.location.href)).pathname.split("/")[2]}`
        return new Promise((resolve, reject) => {
          let ref = window.document.getElementsByTagName("script")[0]
          let script = window.document.createElement("script")
          script.src = `${jsPath}${jsFile}`
          ref.parentNode.insertBefore(script,ref)
          script.onload = resolve
          script.onerror = reject
        })
      }

      async function loadJSFiles(scripts) {
        for(const script of scripts) { await loadJSFile(script) }
      }
    </script>

    <script>
      loadCSSFiles([
        "/css/skeleton.css"
      ])

      loadJSFiles([
          "/js/vendors/axios.min.js"
        , "/js/vendors/vue.js"
        , "/js/components/my-title.js"
        , "/js/components/my-sub-title.js"
        , "/js/components/my-list.js"
      ]).then(() => {
        new Vue({
          el:"#application"
        })
      })    
    </script>

  </body>
</html>


